
const load = [
    'load/clock-second.png',
    'load/clock-minute.png',
    'load/clock-hour.png',
    'load/clock-circle.png',
    'load/clock-bg.png',
    'load/bg.jpg',
]

const page = [
    'index/title.png',
    'index/start-btn.png',
    'index/rule-btn.png',
    'index/prize-btn.png',
    'index/bg.jpg',
    'prize/myPrize-box.png',
    'prize/copy-btn.png',
    'prize/cls-btn.png',
    'qa/showResult-btn.png',
    'qa/question.png',
    'qa/prev-btn.png',
    'qa/answer-box-2.png',
    'qa/answer-box-1.png',
]

// 处理为vite引入图片格式
function imgCreate(url, img) {
    let i = new URL(`../assets/images/${url}`, import.meta.url).href
    img.push(i)
}


const loadImg = []
const pageImg = []

load.forEach(element => {
    imgCreate(element, loadImg)
});

page.forEach(element => {
    imgCreate(element, pageImg)
});

export { loadImg, pageImg }